<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Consentement au Partage de Données</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            margin: 0;
            padding: 2em;
            background-color: #f4f4f4;
            text-align: center;
        }

        section {
            max-width: 600px;
            margin: 2em auto;
            padding: 2em;
            background-color: #fff;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            border-radius: 8px;
        }

        h2 {
            color: #333;
        }

        p {
            margin-bottom: 1.5em;
            color: #666;
        }

        button {
            background-color: #007BFF;
            color: #fff;
            padding: 0.5em 1em;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }

        button:hover {
            background-color: #0056b3;
        }
    </style>
</head>
<body>
    <section>
        <h2>Consentement au Partage de Données avec e-rentes.ch</h2>
        <p>Nous vous informons que la Caisse Fictive peut partager vos données stockées sur notre site avec la plateforme e-rentes.ch.</p>
        <p>En utilisant nos services, vous consentez au traitement de vos données par e-rentes.ch conformément aux conditions d’utilisation.</p>
        <form method="GET" action="grant/ok">
            <input type="hidden" name="redirect_uri" value="{{redirect_uri}}">
            <button>J'accepte</button>
        </form>
    </section>
</body>
</html>
